{% trans_default_domain 'app' %}
<!DOCTYPE html>
<html lang="fr" data-turbo="false">
<head>
  {% block metas %}
    <meta charset="UTF-8">
    <meta name="format-detection" content="telephone=no,date=no,address=no,email=no,url=no">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="theme-color" content="#000091"><!-- Défini la couleur de thème du navigateur (Safari/Android) -->
    {#  <meta name="color-scheme" content="light only"> #}
  {% endblock %}

  <link rel="manifest" href="{{ asset('manifest.json') }}">

  <title>{% block title %}Agents en intervention{% endblock %}</title>
  <link rel="apple-touch-icon" href="{{ asset('apple-touch-icon.png') }}">
  <link rel="icon" href="{{ asset('favicon.svg') }}" type="image/svg+xml">
  <link rel="shortcut icon" href="{{ asset('favicon.ico') }}" type="image/x-icon">

  {% block stylesheets %}
    {{ encore_entry_link_tags('app') }}
  {% endblock %}

  {% block javascripts %}
    {% cspscript %}
    <script>
      // Configure sentryOnLoad before adding the Loader Script
      window.sentryOnLoad = function () {
        Sentry.init({
          environment: '{{ sentry_environment ?: 'dev' }}',
        });
        Sentry.setUser({ id: '{{ app.user ? app.user.id : null }}' });
      };
    </script>
    {% endcspscript %}
    {% cspscript %}
    <script integrity="sha512-3a7ALcw/A7sti/8S0HIn+YGsru5CNKkXMvGmSeSZMgURId/GNP24sbMDgefGhMIHKrRu9UFwcN+SnQDhLnhdmg=="
            src="https://sentry.anct.cloud-ed.fr/js-sdk-loader/96751d8c404824fa5c2b032bc7f75236.min.js"
            crossorigin="anonymous"></script>
    {% endcspscript %}
    {{ encore_entry_script_tags('app') }}
    {% cspscript %}
    <script>
      window.WonderPush = window.WonderPush || [];
      (function (w, d, s, i, n) {
        w[n] = w[n] || function () {
          (w[n].q = w[n].q || []).push(arguments);
        };
        var f = d.getElementsByTagName(s)[0], j = d.createElement(s);
        j.async = true;
        j.src = 'https://cdn.by.wonderpush.com/sdk/1.1/wonderpush-loader.min.js';
        f.parentNode.insertBefore(j, f);
        w.WonderPushSettings = { webKey: '{{ wonderpush_webkey }}', lang: 'fr' };
        // Ce commentaire doit apparaitre en preprod
        WonderPush.push(['init'], { webKey: '{{ wonderpush_webkey }}' });

        {% if app.user %}
        WonderPush.push(['setUserId', {{ app.user.id }}]);
        {% endif %}
      })(window, document, 'script', 'WonderPush');
    </script>
    {% endcspscript %}

    {% cspscript %}
    <script>
      var _paq = window._paq = window._paq || [];
      /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
      _paq.push(['trackPageView']);
      _paq.push(['enableLinkTracking']);
      (function () {
        var u = "https://matomo.incubateur.anct.gouv.fr/";
        _paq.push(['setTrackerUrl', u + 'matomo.php']);
        _paq.push(['setSiteId', '16']);
        var d = document, g = d.createElement('script'), s = d.getElementsByTagName('script')[0];
        g.async = true;
        g.src = u + 'matomo.js';
        s.parentNode.insertBefore(g, s);
      })();
    </script>
    {% endcspscript %}
  {% endblock %}
</head>
<body id="body">
{% block body %}{% endblock %}
</body>
</html>
